package DetectProcessEvents
{
	function fxDtsBrick::processInputEvent(%this,%input,%client)
	{
		Parent::processInputEvent(%this,%input,%client);
		if(!strLen(%this.eventsProcessed[%input]))
			%this.eventsProcessed[%this.eventsProcessed++] = %input;
		%this.eventsProcessed[%input]++;
		%this.totalEventsProcessed++;
	}
};
activatepackage(DetectProcessEvents);

function serverCmdEvents(%this)
{
	if(!%this.isAdmin) return;
	if(!isObject(%pl=%this.player)) return;
	%mask = $TypeMasks::FxBrickAlwaysObjectType; //Might be changed?
	%brick = containerRayCast(%pl.getEyePoint(),vectorAdd(vectorScale(vectorNormalize(%pl.getEyeVector()),12),%pl.getEyePoint()),%mask,%pl);
	if(!isObject(%brick)) return;
	if(%brick.totalEventsProcessed < 1) return;
	//%this.chatMessage("Brick ID: " @ %brick.getID());
	if(strLen(%brick.getName()) > 0)
		%this.chatMessage("Brick Name: " @ %brick.getName());
	%this.chatMessage("Total Events Processed: " @ %brick.totalEventsProcessed);
	%this.chatMessage("Events Processed: " @ %brick.eventsProcessed);
	%this.chatMessage("--Input Events Processed--");
	for(%i=1;%i<%brick.eventsProcessed;%i++)
	{
		%w = %brick.eventsProcessed[%i];
		if(!strLen(%brick.eventsProcessed[%w])) %brick.eventsProcessed[%w] = 1;
		%this.chatMessage(%w @ " > Triggered " @ %brick.eventsProcessed[%w] @ " time(s)");
	}
}